Bug 73923

Summary: [Qt] QQuickWebView missing titleChanged signal tests
Product: WebKit Reporter: Gopal Raghavan <gopal.1.raghavan>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
verify titleChanged signal none

Description Gopal Raghavan 2011-12-06 08:13:28 PST
Signal tests are missing for titleChanged
Comment 1 Gopal Raghavan 2011-12-06 08:18:25 PST
Created attachment 118054 [details]
verify titleChanged signal

added qml tests to veriy titleChanged signal
Comment 2 Simon Hausmann 2011-12-07 00:22:17 PST
Comment on attachment 118054 [details]
verify titleChanged signal

View in context: https://bugs.webkit.org/attachment.cgi?id=118054&action=review

> Source/WebKit2/UIProcess/API/qt/tests/qmltests/common/test3.html:8
> +    var t = setTimeout("changeTitle('New Title')",3000);

If you want you can write this without an extra function I think, just setTimeout("document.title = 'New Title', 3000)
Comment 3 WebKit Review Bot 2011-12-11 19:25:37 PST
Comment on attachment 118054 [details]
verify titleChanged signal

Clearing flags on attachment: 118054

Committed r102554: <http://trac.webkit.org/changeset/102554>
Comment 4 WebKit Review Bot 2011-12-11 19:25:41 PST
All reviewed patches have been landed.  Closing bug.